import { Container, CssBaseline } from "@mui/material";
import AppToolbar from "./components/UI/AppToolbar/AppToolbar.tsx";
import { Route, Routes } from "react-router-dom";
import Products from "./containers/Products/Products.tsx";
import NewProduct from "./containers/Products/NewProduct.tsx";

const App = () => (
  <>
    <CssBaseline />
    <header>
      <AppToolbar />
    </header>
    <main>
      <Container maxWidth="xl">
        <Routes>
          <Route path="/" element={<Products />} />
          <Route path="/products/new" element={<NewProduct />} />
        </Routes>
      </Container>
    </main>
  </>
);

export default App;
