import { AppBar, Toolbar, Typography, styled, Box } from "@mui/material";
import { Link } from "react-router-dom";

const StyledLink = styled(Link)(() => ({
  color: "inherit",
  textDecoration: "none",
  ["&:hover"]: { color: "inherit" },
}));

const AppToolbar = () => {
  return (
    <>
      <AppBar position="fixed">
        <Toolbar>
          <Typography variant="h6" component={StyledLink} to="/">
            Computer parts shop
          </Typography>
        </Toolbar>
      </AppBar>
      <Box component={Toolbar} marginBottom={2} />
    </>
  );
};

export default AppToolbar;
