import { Typography } from "@mui/material";
import ProductForm from "../../components/ProductForm/ProductForm.tsx";
import { useAppDispatch } from "../../store/hooks.ts";
import { useNavigate } from "react-router-dom";
import { createProduct } from "../../features/productsSlice.ts";

const NewProduct = () => {
  const dispatch = useAppDispatch();
  const navigate = useNavigate();

  const onProductFormSubmit = async (productData: FormData) => {
    await dispatch(createProduct(productData));
    navigate("/");
  };
  return (
    <>
      <Typography variant="h4">New product</Typography>
      <ProductForm onSubmit={onProductFormSubmit} />
    </>
  );
};

export default NewProduct;
